## koffice 2.1.2

=== debian/changelog ===
koffice (1:2.1.2-0ubuntu1) lucid; urgency=low

  * New upstream release
  * debian/patches - removed as it contained 1 patch that was implemented
    upstream, kubuntu_01_fix_createresources_cmakelists.diff

 -- Richard A. Johnson <nixternal@ubuntu.com>  Mon, 29 Mar 2010 16:41:03 -0500

koffice (1:2.1.1-1ubuntu2) lucid; urgency=low

  * Make kspread recommend krosspython and krossruby (LP: #391829)
  * Remove .desktop file from kformula.install (LP: #527919)
  * A few nitpicky changes on the merge. Most re-arragning build-dep order

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 25 Feb 2010 18:35:20 -0500

koffice (1:2.1.1-1ubuntu1) lucid; urgency=low

  * Merge from Debian Experimental, remaining Ubuntu changes:
    - Add missing epoch to Qt build-depends version
    - Add libspnav-dev and libopenctl-dev to build-depends
  * Rename everything by removing -kde4 (ie. kword-kde4 is now kword)
    - Conflict with old -kde4 package
    - Replace with old -kde4 package
  * Bumped build-depends on libkdcraw7 to libkdcraw8
  * Added kubuntu_01_fix_createresources_cmakelists.diff to fix case typo.
    This can be dropped with the next upstream release, as it is fixed and
    backported upstream.
  * debian/koffice-doc-html.install - changed doc dir from kde4 to kde
  * Install KFormula as it is partially usable at this time.
  * Updated multiple .install files to add missing files
  * Bumped standards version to 3.8.4
  * Add quilt back to build deps to fix FTBFS

 -- Richard A. Johnson <nixternal@ubuntu.com>  Tue, 23 Feb 2010 16:54:30 -0600

koffice (1:2.1.1-1) experimental; urgency=low

  * New upstream release.
  * Update installed files, krita docs have been removed.
  * Improve package descriptions, thanks a lot to helix84. (Closes: #531452)
  * Update homepages per application.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 14 Jan 2010 10:33:19 +0100

koffice (1:2.1.0-1) experimental; urgency=low

  * New upstream release, KOffice 2.1.
  * Switch to 3.0 (quilt) source format.
  * Updated installed filed and lintian overrides.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 26 Nov 2009 00:47:41 +0100

koffice (1:2.1.0-0ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:47:02 +0000

koffice (1:2.1.0-0ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Nov 2009 08:59:56 +0000

koffice (1:2.1.0-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Update koffice-doc-html-kde4.install, kword-data-kde4.install and
    kplato-kde4.install

 -- Christian Mangold <neversfelde@ubuntu.com>  Sat, 21 Nov 2009 01:41:52 +0100

koffice (1:2.0.91-1ubuntu1~ppa12) karmic; urgency=low

  * Merge with Debian experimental, remaining changes:
    - Keep our *-kde4 packages
    - Build on libboost1.38-dev instead of libboost-dev
    - Add libspnav-dev and libopenctl-dev to build-deps
    - krita recommends spacenavd, update krita-kde4.install and
      krita-data-kde4.install
    - Install doc in /usr/share/kde instead of /usr/share/kde4,
      update koffice-doc-kde4.install and not-installed
    - koffice-libs-kde4 recommends latex-xft-fonts instead of ttf-lyx
    - Build-dep on libqt4-phonon-dev instead of libphonon-dev, change
      version to 4.5.3really4.5.2-0ubuntu1
    - koffice-doc-html-kde4 conflicts karbon
    - kpresenter-kde4 conflicts kpresenter-data
  * Remove build-dep quilt to avoid lintian warning, no patches
  * Update koffice-data-kde4.install with some icons
  * Update not-installed, we are not shipping kformula
  * krita-kde4 replaces krita-data-kde4 (<< 1:2.0.91-1ubuntu1)
  * kword-kde4 replaces kword-data-kde4 (<< 1:2.0.91-1ubuntu1)
  * kword-data-kde4 replaces kword-kde4 (<< 1:2.0.91-1ubuntu1)
  * koffice-libs-kde4 replaces karbon-kde4 (<< 1:2.0.91-1ubuntu1)
  * koffice-data-kde4 replaces replaces krita-kde4 (<< 1:2.0.91-1ubuntu1),
    krita-data-kde4 (<< 1:2.0.91-1ubuntu1), karbon-kde4 (<< 1:2.0.91-1ubuntu1)

 -- Christian Mangold <neversfelde@ubuntu.com>  Thu, 29 Oct 2009 17:02:54 +0100

koffice (1:2.0.91-1) experimental; urgency=low

  * New upstream release, KOffice 2.1 Release Candidate 1.
  * Update build depends:
   - Remove libgraphicsmagick1-dev, only older versions works for krita.
   - Add libpng12-dev, liblcms1-dev, libtiff4-dev, libjpeg62-dev. They were
     pulled by libgraphicsmagick1-dev before.
  * Update installed files. 
  * Update lintian overrides.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 26 Oct 2009 06:39:04 +0100

koffice (1:2.0.83-1) experimental; urgency=low

  * New upstream release, KOffice 2.1 third beta.

  +++ Changes by Pino Toscano:

  * Switch from the transitional latex-xft-fonts to ttf-lyx. (Closes: #539533)

  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * Add versioned build-depend on wv2 (>= 0.4.0).
  * Update installed files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 12 Oct 2009 18:41:50 +0200

koffice (1:2.0.82-1) experimental; urgency=low

  * New upstream release, KOffice 2.1 second beta.
  * Remove disable_kformula patch, kformula dir has been removed.
  * Update installed files.
  * Add versioned build-depend on wv2 (>= 0.4.0).

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 23 Sep 2009 12:19:36 +0200

koffice (1:2.0.81-1) experimental; urgency=low

  * New upstream release, KDE 2.1 first beta. Do not release kformula yet on
    purpose (patch disable_kformula)
  * Update to Standards-Version 3.8.3, no changes required.
  * Update installed files.
  * Update not-installed file.
  * Update lintian overrides.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 02 Sep 2009 18:17:35 +0200

koffice2 (1:2.0.2-2ubuntu3) karmic; urgency=low

  * The koffice-doc-html-kde4 package conflicts karbon (LP: #453497)



=== debian/control ===
Source: koffice
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Raúl Sánchez Siles <rasasi78@gmail.com>
Build-Depends: cdbs, debhelper (>= 7), quilt, cmake (>= 2.6.2), pkg-kde-tools (>= 0.4.1),
 kdepimlibs5-dev (>= 4:4.3.0), libkdcraw8-dev (>= 4:4.3.0), libphonon-dev (>= 4:4.3.0),
 libboost-dev (>= 1.40.0), libopenexr-dev, libeigen2-dev (>= 2.0~beta6),
 libqimageblitz-dev, libqca2-dev, libglew1.5-dev,
 libexiv2-dev, libpng12-dev, liblcms1-dev, libtiff4-dev, libjpeg62-dev, 
 libwv2-dev (>= 0.4.1), libmysqlclient-dev, libpoppler-qt4-dev, 
 libgsl0-dev, libwpd8-dev, libwpg-dev,
 libxslt1-dev, libqt4-opengl-dev (>= 4.6.0),
 pstoedit, libgmm++-dev, libspnav-dev, libopenctl-dev, create-resources, libqtgtl-dev
Standards-Version: 3.8.3
Homepage: http://www.koffice.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/koffice/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/koffice/ubuntu

Package: koffice
Architecture: all
Depends: karbon (>= ${source:Version}), kchart (>= ${source:Version}), kplato (>= ${source:Version}),
 kpresenter (>= ${source:Version}), krita (>= ${source:Version}), kspread (>= ${source:Version}),
 kword (>= ${source:Version}), kthesaurus (>= ${source:Version})
Suggests: koffice-doc-html (>= ${source:Version})
Conflicts: koffice-kde4
Replaces: koffice-kde4
Description: KDE Office Suite
 KOffice is an integrated office suite for KDE, the K Desktop
 Environment.  It offers a word processor, spreadsheet, presentation
 program, graphics tools and more.
 .
 This package provides all the components of KOffice.

Package: koffice-doc-html
Architecture: all
Section: doc
Suggests: konqueror | www-browser, koffice
Conflicts: koffice-doc-html-kde4
Replaces: koffice-doc-html-kde4
Description: KDE Office Suite documentation in HTML format
 KOffice is an integrated office suite for KDE, the K Desktop
 Environment.  It offers a word processor, spreadsheet, presentation
 program, graphics tools and more.
 .
 By default the KOffice applications only provide their documentation in
 KDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the KOffice documentation converted to HTML
 format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /usr/share/doc/kde/HTML/<language>/<app>/, for instance
 /usr/share/doc/kde/HTML/en/kword/.
 .
 This package is part of the KDE Office Suite.

Package: karbon
Architecture: any
Section: graphics
Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
Replaces: kword (<< 1:2.0.2-1), karbon-kde4
Conflicts: kword (<< 1:2.0.2-1), karbon-kde4
Homepage: http://www.koffice.org/karbon/
Description: a vector graphics application for the KDE Office Suite
 Karbon is a vector drawing application with an user interface that is easy to
 use, highly customizable and extensible. That makes Karbon a great application
 for users starting to explore the world of vector graphics as well as for
 artists wanting to create breathtaking vector art. Features include:
  .
  * Loading support for ODG, SVG, WPG, WMF, EPS/PS
  * Writing support for ODG, SVG, PNG, PDF, WMF
  * Customizable user interface with freely placable toolbars and dockers
  * Layer docker for easy handling of complex documents including preview
    thumbnails, support for grouping shapes via drag and drop,
    controlling visibility of shapes or locking
  * Advanced path editing tool with great on-canvas editing capabilies
  * Various drawing tools for creating path shapes including a draw path
    tool, a pencil tool as well as a calligraphy drawing tool
  * Gradient and pattern tools for easy on-canvas editing of gradient and
    pattern styles
  * Top notch snapping facilities for guided drawing and editing (e.g.
    snapping to grid, guide lines, path nodes, bounding boxes, orthogonal
    positions, intersections of path shapes or extensions of lines and
    paths)
  * Includes many predefined shapes including basic shapes like stars,
    circle/ellipse, rectangle, image
  * Artistic text shape with support for following path outlines
    (i.e. text on path)
  * Complex path operations and effects like boolean set operations,
    path flattening, rounding and refining as well as whirl/pinch effects
  * Extensible by writing plugins for new tools, shapes and dockers
 .
 This package is part of the KDE Office Suite.

Package: kchart
Architecture: any
Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
Suggests: khelpcenter4, koffice-doc-html
Conflicts: kchart-kde4
Replaces: kchart-kde4
Description: chart drawing components for the KDE Office Suite
 KChart contains the kchart drawing components.  It can be used to embed 
 charts into KOffice documents. 
 .
 This package is part of the KDE Office Suite.
#Description: a chart drawing program for the KDE Office Suite
# KChart is a chart drawing application.  It can be used to embed charts
# into KOffice documents.  KChart is easy to use and highly configurable.
# .
# This package is part of the KDE Office Suite.


#Package: kexi
#Architecture: any
#Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
#Suggests: kexi-mdb-plugin
#Description: integrated database environment for the KDE Office Suite
# Kexi is an integrated data management application. It can be used for
# creating database schemas, inserting data, performing queries, and
# processing data. Forms can be created to provide a custom interface to
# your data. All database objects - tables, queries and forms - are stored
# in the database, making it easy to share data and design.
# .
# Kexi is considered as a long awaited Open Source competitor for MS Access,
# Filemaker and Oracle Forms. Its development is motivated by the lack of
# Rapid Application Development (RAD) tools for database systems that are
# sufficiently powerful, inexpensive, open standards driven and portable
# across many operating systems and hardware platforms.
# .
# This package is part of the KDE Office Suite.

Package: kformula
Architecture: any
Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
Suggests: khelpcenter4, koffice-doc-html
Description: formula drawings for the KDE Office Suite
 KFormula contains the formula drawing components.  It can be used to embed
 formulas into KOffice documents.
 .
 Features include easy Greek letter insertion, intelligent cursor
 movement, advanced syntax highlighting, multi-level undo support,
 LaTeX export and MathML import.
 .
 This package is part of the KDE Office Suite.
 KFormula is a formula editor that provides the basic input facilities
 and the support functionality expected of a KOffice application.
 .
 Features include easy Greek letter insertion, intelligent cursor
 movement, advanced syntax highlighting, multi-level undo support,
 LaTeX export and MathML import.
 .
 This package is part of the KDE Office Suite.

#Package: kivio
#Architecture: any
#Section: graphics
#Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
#Replaces: kivio-data (<< 1:1.9.90)
#Description: a flowcharting program for the KDE Office Suite
# Kivio is a flowcharting program that offers basic flowcharting abilities,
# but with a twist.  Objects are scriptable, and a backend plugin system
# offers the ability to make objects do just about anything.
# .
# This package is part of the KDE Office Suite.

Package: kplato
Architecture: any
Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
Suggests: khelpcenter4, koffice-doc-html
Conflicts: kplato-kde4
Replaces: kplato-kde4
Homepage: http://www.koffice.org/kplato/
Description: an integrated project management and planning tool
 KPlato is a project management application, allowing for the planning and
 scheduling of projects.
 .
 This package is part of the KDE Office Suite.


Package: kpresenter
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, koffice-libs (>= ${source:Version})
Suggests: khelpcenter4, koffice-doc-html
Conflicts: kpresenter-data-kde4, kpresenter-kde4
Replaces: kpresenter-data (<< 1:1.9.90), kpresenter-data-kde4, kpresenter-kde4
Homepage: http://www.koffice.org/kpresenter/
Description: a presentation program for the KDE Office Suite
 KPresenter is an easy to use yet still flexible presentation application. You
 can easily create presentations containing a rich variety of elements, from
 graphics to text, from charts to images. KPresenter is extensible through a
 plugin system, so it is easy to add new effects, new content elements or even
 new ways of managing your presentation.
 KPresenter natively uses the OpenDocument file format standard, for easy
 interchange with all ODF supporting applications which includes Microsoft
 Office. Some examples of easy-to-use features are support for layouts, a
 special slide overview view during presentations for the presenter, support
 for many different master sliders in one presentation, cool transitions and
 a useful notes feature.
 .
 This package is part of the KDE Office Suite.

Package: krita
Architecture: any
Depends: ${shlibs:Depends}, krita-data (>= ${source:Version}), koffice-libs (>= ${source:Version})
Recommends: dcraw
Suggests: khelpcenter4, koffice-doc-html
Conflicts: krita-data (<< 1:1.9.98.6), krita-data-kde4, krita-kde4
Replaces: krita-data (<< 1:1.9.98.6), krita-data-kde4, krita-kde4
Homepage: http://www.krita.org/
Description: a pixel-based image manipulation program for the KDE Office Suite
 Krita is a creative application for raster images. Whether you want to create
 from scratch or work with existing images, Krita is for you. You can work with
 photos, scanned images or start for a blank slate. Krita supports most graphics
 tablets out of the box.
 .
 Krita is different from other graphics design programs in that it has it has
 pluggable brush engines, some supporting brush resources like Gimp brush files,
 and other offering sophisticated simulation of real brushes, and others again
 offering deforming your image or mixing colors. Moreover, Krita has full support
 for graphics tablets, including features as pressure, tilt and rate, making it a
 great choice for artists. There are easy to use tools for drawing lines, ellipses
 and rectangles, and the freehand tool is supported by pluggable “drawing assistants”
 that help you draw shapes that still have a freehand feeling to them.
 .
 This package is part of the KDE Office Suite.

Package: krita-data
Architecture: all
Conflicts: krita (<<1:1.9.96.0~that.is.really.1.9.95.10-1), krita-data-kde4
Replaces: krita-data-kde4, krita-kde4
Homepage: http://www.krita.org/
Description: data files for Krita painting program
 This package contains architecture-independent data files for Krita,
 the painting program shipped with the KDE Office Suite.
 .
 See the krita package for further information.
 .
 This package is part of the KDE Office Suite.

Package: kspread
Architecture: any
Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
Recommends: krosspython, krossruby
Suggests: khelpcenter4, koffice-doc-html
Conflicts: kspread-kde4
Replaces: kspread-kde4
Homepage: http://www.koffice.org/kspread/
Description: a spreadsheet for the KDE Office Suite
 KSpread is a powerful spreadsheet application.  It is scriptable and
 provides both table-oriented sheets and support for complex mathematical
 formulae and statistics.
 .
 This package is part of the KDE Office Suite.

Package: kword
Architecture: any
Depends: ${shlibs:Depends}, kword-data (>= ${source:Version}), koffice-libs (>= ${source:Version})
Suggests: khelpcenter4, koffice-doc-html
Conflicts: kword-kde4
Replaces: kword-data (<< 1:2.0.91-1ubuntu1), kword-kde4
Homepage: http://www.koffice.org/kword/
Description: a word processor for the KDE Office Suite

## koffice 2.2.0-0

=== plugins/CMakeLists.txt ===
if(MSVC)
  # avoid "cannot open file 'LIBC.lib'" error
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /NODEFAULTLIB:LIBC.LIB")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /NODEFAULTLIB:LIBC.LIB")
endif(MSVC)


include_directories(
        ${KOMAIN_INCLUDES}
)

IF (NOT TINY)
    macro_optional_add_subdirectory( scan )
    macro_optional_add_subdirectory( colorengines )
    macro_optional_add_subdirectory( paragraphtool )
    macro_optional_add_subdirectory( musicshape )
    macro_optional_add_subdirectory( divineProportion )

    macro_optional_find_package(Spnav)
    macro_log_feature(SPNAV_FOUND "Spnav" "3Dconnexion device driver and SDK" "http://spacenav.sourceforge.net/" FALSE "" "Required by SpaceNavigator 3D mouse plugin")

    IF (SPNAV_FOUND)
        macro_optional_add_subdirectory( spacenavigator )
    ENDIF (SPNAV_FOUND)
    macro_optional_add_subdirectory( artistictextshape )
    macro_optional_add_subdirectory( dockers )
    macro_optional_add_subdirectory( textediting )
    macro_optional_add_subdirectory( simpletexteditor )
ENDIF (NOT TINY)
add_subdirectory( variables )
add_subdirectory( defaultTools )
add_subdirectory( pathshapes )
add_subdirectory( pictureshape )
add_subdirectory( videoshape )
add_subdirectory( textshape )
add_subdirectory( pluginshape )

# as the vector shape depends on filters subdir (not really intuitive) lets allow disabling
macro_optional_add_subdirectory( vectorshape )

=== libs/kotext/opendocument/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories( ${KOTEXT_INCLUDES} {CMAKE_SOURCE_DIR}/libs/main)

add_definitions(-DFILES_DATA_DIR="\\"${CMAKE_CURRENT_SOURCE_DIR}/data/\\"")

########### next target ###############

set(TestLoading_test_SRCS TestLoading.cpp)
kde4_add_unit_test(TestLoading TESTNAME kotext-odf-TestLoading ${TestLoading_test_SRCS})
target_link_libraries(TestLoading kotext ${QT_QTTEST_LIBRARY}  ${QT_QTSCRIPT_LIBRARY})

########### next target ###############

set(normalizeWhiteSpace_SRCS tst_normalizeWhiteSpace.cpp)
kde4_add_executable(normalizeWhiteSpace ${normalizeWhiteSpace_SRCS})
target_link_libraries(normalizeWhiteSpace kotext ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestChangeLoading_SRCS TestChangeLoading.cpp)
kde4_add_unit_test(TestChangeLoading TESTNAME kotext-odf-TestChangeLoading ${TestChangeLoading_SRCS})
target_link_libraries(TestChangeLoading kotext komain ${QT_QTTEST_LIBRARY})

=== debian/changelog ===
koffice (2.2.0-0) unstable; urgency=high

  * Added missing dependency to control.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 3 Mar 2010 08:59:41 +0200

=== debian/control ===
Source: koffice
Section: libs
Priority: extra
Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
Build-Depends: cdbs (>= 0.4.52), shared-mime-info, debhelper (>= 5), quilt, cmake (>= 2.6.2), pkg-kde-tools (>= 0.4), libboost1.38-dev, libkok-dev, libpng12-dev, libeigen2-dev, libqt4-phonon, libjpeg62-dev, automoc, libgsf-1-dev, libx11-dev
Standards-Version: 3.8.0

Package: kofficemeego
Section: libs
Architecture: any
Replaces: kofficemaemo
Depends: libkok, libgsf-1
Description: Office application suite for meego.
 Koffice main libraries.

Package: kofficemeego-dev
Section: libdevel
Architecture: any
Replaces: kofficemaemo-dev
Depends: kofficemeego (>= ${binary:Version}), libkok-dev
Description: Office application suite dev files for meego.
 KOffice development files.

Package: kofficemeego-doc
Section: doc
Architecture: any
Replaces: kofficemaemo-doc
Description: Document package for kofficemeego
 Document package

Package: koffice-kchart
Section: libs
Architecture: any
Depends: kofficemeego (>= ${binary:Version})
Description: Chart support for office application suite
 KOffice chart library.

Package: kofficemeego-dbg
Priority: extra
Architecture: any
Replaces: kofficemaemo-dbg
Depends: kofficemeego (= ${binary:Version}), koffice-kchart (= ${binary:Version})
Description: Office application suite dbg files for meego.
 KOffice dbg symbols.

=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_DH_SHLIBDEPS_ARGS_ALL := -X*
DEB_CMAKE_EXTRA_FLAGS := -DBUILD_artistictextshape=OFF -DBUILD_colorspaces=OFF -DBUILD_doc=OFF -DBUILD_generic_wrapper=OFF -DBUILD_karbon=OFF -DBUILD_kchart=ON -DBUILD_kexi=OFF -DBUILD_kformula=ON -DBUILD_kivio=OFF -DBUILD_kspread=ON -DBUILD_libkowmf=ON -DBUILD_musicshape=OFF -DBUILD_scan=OFF -DBUILD_f-office=OFF -DBUILD_simpletextedit=OFF -DTINY=ON -DCMAKE_BUILD_TYPE=Release -DGHNS=FALSE
include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

#dpkg-shlibdeps debian/tmp/usr/bin/* debian/tmp/usr/lib/*

## koffice 2.2.0-1

=== kspread/CMakeLists.txt ===
project(kspread)

add_subdirectory( data )
add_subdirectory( shape )
add_subdirectory( tests )
add_subdirectory( plugins )
add_subdirectory( dtd )
add_subdirectory( functions )

include_directories( ${CMAKE_SOURCE_DIR}/interfaces
                     ${CMAKE_SOURCE_DIR}/kchart
                     ${KOMAIN_INCLUDES}
                     ${KOTEXT_INCLUDES}
                     ${EIGEN2_INCLUDE_DIR} )

########### next target ###############
SET (chart_DIR_SRCS
	chart/ChartDatabaseSelectorFactory.cpp
	chart/ChartDatabaseSelector.cpp
	chart/ChartDialog.cpp
	)

kde4_add_ui_files(chart_DIR_SRCS
	chart/ChartDatabaseSelector.ui
	)

SET (commands_DIR_SRCS
	commands/AbstractRegionCommand.cpp
	commands/ApplyFilterCommand.cpp
	commands/AutoFillCommand.cpp
	commands/AutoFilterCommand.cpp
	commands/AutoFormatCommand.cpp
	commands/BorderColorCommand.cpp
        commands/ColumnStyleCommand.cpp
	commands/CommentCommand.cpp
	commands/ConditionCommand.cpp
        commands/CopyCommand.cpp
	commands/CSVDataCommand.cpp
	commands/DataManipulators.cpp
	commands/DeleteCommand.cpp
	commands/IndentationCommand.cpp
	commands/LinkCommand.cpp
	commands/MergeCommand.cpp
	commands/NamedAreaCommand.cpp
        commands/PageBreakCommand.cpp
        commands/PasteCommand.cpp
	commands/PrecisionCommand.cpp
	commands/RowColumnManipulators.cpp
        commands/RowStyleCommand.cpp
	commands/SheetCommands.cpp
	commands/SortManipulator.cpp
	commands/SpellCheckCommand.cpp
	commands/StyleCommand.cpp
	commands/ValidityCommand.cpp
	)

SET (database_DIR_SRCS
	database/Database.cpp
	database/DatabaseManager.cpp
	database/DatabaseSource.cpp
	database/DatabaseSourceQuery.cpp
	database/DatabaseSourceSql.cpp
	database/DatabaseSourceTable.cpp
	database/Filter.cpp
	database/FilterPopup.cpp
	)

SET (dialogs_DIR_SRCS
	dialogs/AddNamedAreaDialog.cpp
	dialogs/AngleDialog.cpp
	dialogs/AutoFormatDialog.cpp
	dialogs/CommentDialog.cpp
	dialogs/ConditionalDialog.cpp
	dialogs/ConsolidateDialog.cpp
	dialogs/CSVDialog.cpp
	dialogs/DatabaseDialog.cpp
	dialogs/DocumentSettingsDialog.cpp
	dialogs/FindDialog.cpp
	dialogs/FormulaDialog.cpp
	dialogs/GoalSeekDialog.cpp
	dialogs/GotoDialog.cpp
	dialogs/InsertDialog.cpp
	dialogs/LayoutDialog.cpp
	dialogs/LinkDialog.cpp
	dialogs/ListDialog.cpp
	dialogs/NamedAreaDialog.cpp
	dialogs/PasteInsertDialog.cpp
	dialogs/Resize2Dialog.cpp
	dialogs/SeriesDialog.cpp
	dialogs/ShowDialog.cpp
	dialogs/ShowColRowDialog.cpp
	dialogs/SortDialog.cpp
	dialogs/SpecialPasteDialog.cpp
	dialogs/StyleManagerDialog.cpp
	dialogs/SubtotalDialog.cpp
	dialogs/ValidityDialog.cpp
	)


kde4_add_ui_files(dialogs_DIR_SRCS
	dialogs/FontWidget.ui
	dialogs/PositionWidget.ui
	dialogs/ProtectionWidget.ui
	dialogs/SpecialPasteWidget.ui
	dialogs/SubtotalWidget.ui
	)

SET (functions_DIR_SRCS
	functions/helper.cpp
	)

SET (interfaces_DIR_SRCS
	interfaces/MapAdaptor.cpp
	interfaces/SheetAdaptor.cpp
	interfaces/ViewAdaptor.cpp
	)

SET (part_DIR_SRCS
	part/Canvas.cpp
	part/CellTool.cpp
	part/CellToolFactory.cpp
	part/Digest.cpp
	part/Doc.cpp
	part/Factory.cpp
	part/Headers.cpp
	part/PrintJob.cpp
	part/PrintManager.cpp
	part/ToolRegistry.cpp
	part/TabBar.cpp
	part/View.cpp
	part/commands/DefinePrintRangeCommand.cpp
	part/commands/PageLayoutCommand.cpp
	part/dialogs/PageLayoutDialog.cpp
	part/dialogs/PreferenceDialog.cpp
	part/dialogs/SheetPropertiesDialog.cpp
	part/dialogs/SheetSelectPage.cpp
)

kde4_add_ui_files(part_DIR_SRCS
	part/dialogs/FileOptionsWidget.ui
	part/dialogs/InterfaceOptionsWidget.ui
	part/dialogs/PageLayoutSheetPage.ui
	part/dialogs/SheetPropertiesWidget.ui
	part/dialogs/SheetSelectWidget.ui
)

SET (ui_DIR_SRCS
	ui/AbstractSelectionStrategy.cpp
	ui/AutoFillStrategy.cpp
	ui/CellToolBase.cpp
	ui/CellToolBase_p.cpp
	ui/CellView.cpp
	ui/DragAndDropStrategy.cpp
	ui/Editors.cpp
	ui/HyperlinkStrategy.cpp
        ui/MapViewModel.cpp
	ui/MergeStrategy.cpp
	ui/PasteStrategy.cpp
	ui/SelectionStrategy.cpp
	ui/SheetView.cpp
	ui/CharSelectDia.cpp
	)

SET (kspreadcommon_LIB_SRCS
	ApplicationSettings.cpp
	Binding.cpp
	BindingManager.cpp
	CalculationSettings.cpp
	Cell.cpp
	CellStorage.cpp
	Cluster.cpp
	Condition.cpp
	Currency.cpp
	Damages.cpp
	DependencyManager.cpp
	Format.cpp
	Formula.cpp
	FunctionModule.cpp
	FunctionModuleRegistry.cpp
	Functions.cpp
	GenValidationStyle.cpp
        HeaderFooter.cpp
	Localization.cpp
	Map.cpp
        MapModel.cpp
    SheetAccessModel.cpp
	NamedAreaManager.cpp
	Number.cpp
	PageManager.cpp
	PrintSettings.cpp
        ProtectableObject.cpp
	RecalcManager.cpp
	Region.cpp
        RegionModel.cpp
	RowColumnFormat.cpp
	Selection.cpp
	ShapeApplicationData.cpp
	Sheet.cpp
        SheetModel.cpp
	SheetPrint.cpp
        SheetPrint_p.cpp
	RectStorage.cpp
	Style.cpp
	StyleManager.cpp
	StyleStorage.cpp
	Util.cpp
	Validity.cpp
	Value.cpp
	ValueCalc.cpp
	ValueConverter.cpp
	ValueFormatter.cpp
	ValueParser.cpp
	tests/inspector.cpp
	${chart_DIR_SRCS}
	${commands_DIR_SRCS}
	${database_DIR_SRCS}
	${dialogs_DIR_SRCS}
	${functions_DIR_SRCS}
	${interfaces_DIR_SRCS}
	${part_DIR_SRCS}
	${ui_DIR_SRCS}
	)

kde4_add_library(kspreadcommon SHARED ${kspreadcommon_LIB_SRCS})

target_link_libraries(kspreadcommon
    komain
    ${QT_QTSQL_LIBRARY}
    ${KDE4_KNOTIFYCONFIG_LIBS}
    ${KDE4_KUTILS_LIBS}
#    ${KDE4_KDE3SUPPORT_LIBS}
)

target_link_libraries(kspreadcommon LINK_INTERFACE_LIBRARIES komain )

set_target_properties(kspreadcommon PROPERTIES
    VERSION ${GENERIC_KOFFICE_LIB_VERSION} SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION}
)
install(TARGETS kspreadcommon  ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

SET (kspreadpart_PART_SRCS part/Factory_init.cpp )

kde4_add_plugin(kspreadpart WITH_PREFIX ${kspreadpart_PART_SRCS})



target_link_libraries(kspreadpart kspreadcommon )

install(TARGETS kspreadpart  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

SET (kspread_KDEINIT_SRCS part/Main.cpp )

kde4_add_app_icon(kspread_KDEINIT_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/data/pics/hi*-app-kspread.png")

kde4_add_kdeinit_executable( kspread ${kspread_KDEINIT_SRCS})

if (Q_WS_MAC)
   set_target_properties(kspread PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
   set_target_properties(kspread PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.koffice.kspread")
   set_target_properties(kspread PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KSpread 2")
endif (Q_WS_MAC)

target_link_libraries(kdeinit_kspread komain )

install(TARGETS kdeinit_kspread  ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries( kspread kdeinit_kspread )
install(TARGETS kspread  ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES  kspread.rc kspread_readonly.rc kspread.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kspread)
install( FILES  kspreadpart.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES  kspread.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES  kspread.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES  kspread_plugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install( FILES  kspreadrc DESTINATION ${CONFIG_INSTALL_DIR})

=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -30,6 +30,7 @@
 add_subdirectory( variables )
 add_subdirectory( defaultTools )
 add_subdirectory( pathshapes )
+add_subdirectory( chartshape )
 add_subdirectory( pictureshape )
 add_subdirectory( videoshape )
 add_subdirectory( textshape )

=== filters/libmso/CMakeLists.txt ===
include_directories( ${QT_INCLUDES} ${KDE4_INCLUDES} ../../libs/odf)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fexceptions -fPIC")
add_library(mso STATIC generated/simpleParser.cpp drawstyle.cpp writer.cpp ODrawToOdf.cpp shapes.cpp pictures.cpp pole.cpp)

=== kpresenter/part/CMakeLists.txt ===
project(kpresenter)

include_directories( ${KOMAIN_INCLUDES} ${KOPAGEAPP_INCLUDES} ${Boost_INCLUDE_DIR})

if(KDE4_BUILD_TESTS)
    # only with this definition will the KPRESENTER_TEST_EXPORT macro do something
    add_definitions(-DCOMPILING_TESTS)
endif(KDE4_BUILD_TESTS)


add_subdirectory(tests)
add_subdirectory(tools)

### kpresenterprivate ###
set( kpresenterprivate_LIB_SRCS
     KPrFactory.cpp
     KPrDocument.cpp
     KPrDeclarations.cpp
     KPrView.cpp
     KPrViewAdaptor.cpp
     KPrViewModePresentation.cpp
     KPrViewModeNotes.cpp
     KPrViewModePreviewPageEffect.cpp
     KPrPresentationTool.cpp
     KPrAnimationDirector.cpp
     KPrShapeAnimations.cpp
     KPrShapeManagerAnimationStrategy.cpp
     KPrShapeManagerDisplayMasterStrategy.cpp
     KPrPageData.cpp
     KPrPage.cpp
     KPrMasterPage.cpp
     KPrNotes.cpp
     KPrSoundData.cpp
     KPrSoundCollection.cpp
     KPrEventActionData.cpp
     KPrEventActionWidget.cpp
     KPrPageApplicationData.cpp
     KPrShapeApplicationData.cpp
     KPrCustomSlideShows.cpp
     KPrPresenterViewBaseInterface.cpp
     KPrPresenterViewInterface.cpp
     KPrPresenterViewSlidesInterface.cpp
     KPrPresenterViewToolWidget.cpp
     KPrPresenterViewWidget.cpp
     KPrEndOfSlideShowPage.cpp
     KPrPlaceholderShape.cpp
     KPrPlaceholderShapeFactory.cpp
     KPrPlaceholderStrategy.cpp
     KPrPlaceholderPictureStrategy.cpp
     KPrPlaceholderTextStrategy.cpp
     KPrPresentationHighlightWidget.cpp
     KPrPresentationDrawWidget.cpp
     KPrPresentationBlackWidget.cpp
     KPrPresentationStrategy.cpp
     KPrPresentationHighlightStrategy.cpp
     KPrPresentationBlackStrategy.cpp
     KPrPresentationStrategyBase.cpp
     KPrPresentationDrawStrategy.cpp
     KPrPageSelectStrategyBase.cpp
     KPrPageSelectStrategyFixed.cpp
     KPrPageSelectStrategyActive.cpp
     KPrDurationParser.cpp

     commands/KPrAnimationCreateCommand.cpp
     commands/KPrPageEffectSetCommand.cpp
     commands/KPrPageLayoutCommand.cpp
     commands/KPrSetCustomSlideShowsCommand.cpp

     dockers/KPrPreviewWidget.cpp
     dockers/KPrPageLayoutDockerFactory.cpp
     dockers/KPrPageLayoutDocker.cpp

     pageeffects/KPrPageEffectRunner.cpp
     pageeffects/KPrPageEffect.cpp
     pageeffects/KPrPageEffectStrategy.cpp
     pageeffects/KPrPageEffectFactory.cpp
     pageeffects/KPrPageEffectRegistry.cpp

     animations/KPrAnimationBase.cpp
     animations/KPrAnimSet.cpp
     animations/KPrAnimate.cpp
     animations/KPrAnimateColor.cpp
     animations/KPrAnimateMotion.cpp
     animations/KPrAnimateTransform.cpp
     animations/KPrAnimTransitionFilter.cpp
     animations/KPrAnimationFactory.cpp
     animations/KPrAnimationCache.cpp
     animations/KPrTextBlockPaintStrategy.cpp
     animations/KPrShapeAnimation.cpp
     animations/KPrAnimationStep.cpp
     animations/KPrAnimationSubStep.cpp
     animations/KPrAnimationLoader.cpp
     animations/KPrAnimationData.cpp

     pagelayout/KPrPlaceholder.cpp
     pagelayout/KPrPageLayout.cpp
     pagelayout/KPrPageLayouts.cpp
     pagelayout/KPrPageLayoutSharedSavingData.cpp
     pagelayout/KPrPlaceholders.cpp

     ui/KPrCustomSlideShowsDialog.cpp
     ui/KPrConfigureSlideShowDialog.cpp
     ui/KPrConfigurePresenterViewDialog.cpp
     ui/KPrPresentationToolWidget.cpp

     tools/KPrPlaceholderTool.cpp
     tools/KPrPlaceholderToolFactory.cpp
   )

kde4_add_ui_files(kpresenterprivate_LIB_SRCS
     ui/KPrCustomSlideShowsDialog.ui
     ui/KPrConfigureSlideShow.ui
     ui/KPrConfigurePresenterView.ui
     ui/KPrPresentationTool.ui
   )

kde4_add_library(kpresenterprivate SHARED ${kpresenterprivate_LIB_SRCS})

target_link_libraries(kpresenterprivate kopageapp kowidgets ${KDE4_PHONON_LIBRARY} ${QT_QTOPENGL_LIBRARY} ${QT_QTWEBKIT_LIBRARY})
target_link_libraries(kpresenterprivate LINK_INTERFACE_LIBRARIES kopageapp)

set_target_properties(kpresenterprivate PROPERTIES VERSION ${GENERIC_KOFFICE_LIB_VERSION} SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION} )
install(TARGETS kpresenterprivate  ${INSTALL_TARGETS_DEFAULT_ARGS})

### kpresenterpart ###
set(kpresenterpart_PART_SRCS KPrFactoryInit.cpp )

kde4_add_plugin(kpresenterpart WITH_PREFIX ${kpresenterpart_PART_SRCS})



target_link_libraries(kpresenterpart kpresenterprivate )

install(TARGETS kpresenterpart DESTINATION ${PLUGIN_INSTALL_DIR})

### kdeinit kpresenter ###
set(kpresenter_KDEINIT_SRCS main.cpp )

kde4_add_app_icon(kpresenter_KDEINIT_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../pics/hi*-app-kpresenter.png")

kde4_add_kdeinit_executable( kpresenter ${kpresenter_KDEINIT_SRCS})

if (Q_WS_MAC)
   set_target_properties(kpresenter PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
   set_target_properties(kpresenter PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.koffice.kpresenter")
   set_target_properties(kpresenter PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KPresenter 2")
endif (Q_WS_MAC)

target_link_libraries(kdeinit_kpresenter komain )

install(TARGETS kdeinit_kpresenter ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries(kpresenter kdeinit_kpresenter)
install(TARGETS kpresenter ${INSTALL_TARGETS_DEFAULT_ARGS})

### desktop files ###
install( FILES kpresenterpart.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES kpresenter.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

### GUI files ###
install( FILES kpresenter.rc kpresenter_readonly.rc DESTINATION ${DATA_INSTALL_DIR}/kpresenter)

install( FILES kpresenterrc DESTINATION ${CONFIG_INSTALL_DIR} )

=== plugins/chartshape/CMakeLists.txt ===
add_subdirectory( kdchart )

include_directories( ${CMAKE_SOURCE_DIR}/plugins/chartshape
                     ${CMAKE_SOURCE_DIR}/plugins/chartshape/kdchart/include
                     ${CMAKE_SOURCE_DIR}/plugins/chartshape/dialogs
                     ${CMAKE_SOURCE_DIR}/interfaces
                     ${KOMAIN_INCLUDES}
)

########### Flake Plugin library ###############

SET (chartshape_LIB_SRCS
    KDChartConvertions.cpp
    Axis.cpp
    DataSet.cpp
    CellRegion.cpp
    CellRegionStringValidator.cpp
    ChartTableModel.cpp
    Legend.cpp
    TextLabelDummy.cpp
    PlotArea.cpp
    ChartProxyModel.cpp
    KDChartModel.cpp
    Surface.cpp
    ThreeDScene.cpp
    ThreeDTransformation.cpp
    ChartDocument.cpp
    ChartShape.cpp
    ChartTool.cpp
    ChartToolFactory.cpp
    ChartConfigWidget.cpp
    ChartTableView.cpp
    ScreenConversions.cpp
    Layout.cpp
    dialogs/TableEditorDialog.cpp
    dialogs/NewAxisDialog.cpp
    dialogs/AxisScalingDialog.cpp
    dialogs/CellRegionDialog.cpp
    commands/ChartTypeCommand.cpp
)

kde4_add_ui_files(chartshape_LIB_SRCS
    ChartConfigWidget.ui
    dialogs/ChartTableEditor.ui
    dialogs/NewAxisDialog.ui
    dialogs/AxisScalingDialog.ui
    dialogs/CellRegionDialog.ui
)

kde4_add_library(chartshapelib SHARED ${chartshape_LIB_SRCS})
target_link_libraries(chartshapelib kdchart komain)
set_target_properties(chartshapelib PROPERTIES VERSION ${GENERIC_KOFFICE_LIB_VERSION} SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION} )

install(TARGETS chartshapelib ${INSTALL_TARGETS_DEFAULT_ARGS})

kde4_add_plugin(chartshape ChartShapeFactory.cpp )
target_link_libraries(chartshape chartshapelib kdchart flake)
install(TARGETS chartshape DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install( FILES  kchartpart.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES chartshape.desktop DESTINATION ${SERVICES_INSTALL_DIR})
kde4_install_icons( ${DATA_INSTALL_DIR}/koffice/icons )

=== kpresenter/plugins/pageeffects/fade/CMakeLists.txt ===
include_directories( ${KOMAIN_INCLUDES} ${FLAKE_INCLUDES}  ${CMAKE_SOURCE_DIR}/kpresenter/part ${CMAKE_SOURCE_DIR}/kpresenter/part/pageeffects )

set(kpr_pageeffect_fade_PART_SRCS Plugin.cpp
    KPrFadeEffectFactory.cpp
    KPrFadeCrossStrategy.cpp
)

kde4_add_plugin(kpr_pageeffect_fade ${kpr_pageeffect_fade_PART_SRCS})

target_link_libraries(
    kpr_pageeffect_fade
    kpresenterprivate
    flake 
    
    ${KDE4_KDECORE_LIBS}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    )

install(TARGETS kpr_pageeffect_fade  DESTINATION ${PLUGIN_INSTALL_DIR})

install( FILES kpr_pageeffect_fade.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
koffice (2.2.0-1) unstable; urgency=high

  * Added libs/main headers needed by Filter manager

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 2 May 2010 08:59:41 +0200
